跳转到主要内容
POST
/
share
/
{shareId}
/
base
/
copy
cURL
curl --request POST \
  --url https://app.teable.ai/api/share/%7BshareId%7D/base/copy \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"spaceId":"string","name":"string","withRecords":true,"baseId":"string"}'
{
  "id": "<string>",
  "name": "<string>",
  "spaceId": "<string>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

shareId
string
必填

请求体

application/json
spaceId
string
必填

The target space ID to copy the base to

name
string

The name of the copied base

withRecords
boolean
默认值:true

Whether to copy records

baseId
string

The target base ID to copy into. If provided, tables will be added to the existing base instead of creating a new one.

响应

200 - application/json

Returns the copied base

id
string
必填
name
string
必填
spaceId
string
必填
Last modified on March 5, 2026